
Foreman - Bug #36508

Virtual nic conf in preseed is outdated

06/15/2023 08:34 AM - Nadja Heitmann

Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9735,

https://github.com/theforeman/foreman/p

ull/9777

  

Description

The ifconfig way of configuring virtual-NICs (multiple IPs on one interface) on Debian distributions no longer works with recent

versions:

https://wiki.debian.org/NetworkConfiguration#Multiple_IP_addresses_on_one_Interface

Has already been attempted to fix here: 

https://github.com/ATIX-AG/community-templates/commit/88ba967186646b5e9d5f7647564f13a92339a379

Associated revisions

Revision 9df48cc7 - 07/12/2023 03:17 PM - Nadja Heitmann

Fixes #36508 - Fix virtual nic configuration in preseed

Co-authored-by: Markus Bucher <bucher@atix.de>

Revision ed61577d - 07/13/2023 10:38 AM - Nadja Heitmann

Refs #36508 - Remove unused variable from preseed_networking_setup snippet

History

#1 - 06/15/2023 08:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9735 added

#2 - 07/12/2023 04:00 PM - Nadja Heitmann

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|9df48cc77c6e6e2a5532e94ff3225e1f8eaf7585.

#3 - 07/13/2023 09:59 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9777 added

#4 - 09/11/2023 10:49 AM - Ewoud Kohl van Wijngaarden

- Category set to Unattended installations

- Triaged changed from No to Yes
